> Call POST /v1/check before a tool that writes. DENY means do not invoke the tool. For clean Markdown of any page, append .md to the page URL. For the complete index, fetch https://docs.withwrit.com/llms.txt.

# Update step-up notification settings

POST https://api.withwrit.com/v1/tenant/notify
Content-Type: application/json

API key required. Set notifyStepUpEmail to true or false, set a generic or Slack webhook URL, or clear the webhook with an empty stepUpWebhookUrl.

Reference: https://docs.withwrit.com/api-reference/account/update-step-up-notification-settings

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.withwrit.com` (Writ gate, default)
- `https://j72ckh66ukck2kcbq3oiwxaalm0olxwb.lambda-url.us-east-1.on.aws` (Direct Lambda Function URL (fallback))

## Request

### Body (application/json)

This endpoint expects an object.

- `stepUpEmail` (boolean, optional)
- `stepUpWebhookUrl` (string, optional)
- `stepUpWebhookType` (enum, optional)
  - Allowed values: `generic`, `slack`

## Response

### 200

Updated notification settings.

## Errors

### 400 Bad Request Error

Invalid request body.

- `any`

### 401 Unauthorized Error

API key required — missing, malformed, or unknown key.

- `any`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "notifyStepUpEmail": false,
  "stepUpWebhookType": "slack",
  "stepUpWebhookUrl": "https://hooks.slack.com/services/xxx"
}
```

**SDK Code**

```python Account_updateStepUpNotificationSettings_example
import requests

url = "https://api.withwrit.com/v1/tenant/notify"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Account_updateStepUpNotificationSettings_example
const url = 'https://api.withwrit.com/v1/tenant/notify';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Account_updateStepUpNotificationSettings_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withwrit.com/v1/tenant/notify"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Account_updateStepUpNotificationSettings_example
require 'uri'
require 'net/http'

url = URI("https://api.withwrit.com/v1/tenant/notify")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Account_updateStepUpNotificationSettings_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.withwrit.com/v1/tenant/notify")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Account_updateStepUpNotificationSettings_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.withwrit.com/v1/tenant/notify', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Account_updateStepUpNotificationSettings_example
using RestSharp;

var client = new RestClient("https://api.withwrit.com/v1/tenant/notify");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Account_updateStepUpNotificationSettings_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withwrit.com/v1/tenant/notify")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```